Debian Bug report logs - #560039
xterm: double-click on word spanning across several lines doesn't select the bottom part

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Tue, 8 Dec 2009 14:36:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/251-1

Fixed in version xterm/253-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#560039; Package xterm. (Tue, 08 Dec 2009 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 08 Dec 2009 14:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: double-click on word spanning across several lines doesn't select the bottom part
Date: Tue, 8 Dec 2009 15:32:40 +0100
Package: xterm
Version: 251-1
Severity: normal

With xterm 251 (but not with previous versions), when I double-click
on a word that spans across several lines, only the first lines until
the double-clicked line are selected.

For instance, if I type

  perl -e 'print "0123456789"x60'

in a 80-column xterm and double-click on the 3rd line, then lines 1
to 3 are selected, but not the following ones.

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.5-20080922 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.10.2-2       GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4        generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-2        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.2-1      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-1       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+1      X11 utilities
ii  xutils                        1:7.4+4    X Window System utility programs m

Versions of packages xterm suggests:
ii  xfonts-cyrillic               1:1.0.0-7  Cyrillic fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#560039; Package xterm. (Wed, 09 Dec 2009 02:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Dec 2009 02:06:09 GMT) Full text and rfc822 format available.

Message #10 received at 560039@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 560039@bugs.debian.org
Cc: 560039-submitter@bugs.debian.org
Subject: re: #560039 xterm: double-click on word spanning across several lines doesn't select the bottom part
Date: Tue, 08 Dec 2009 20:50:13 -0500
[Message part 1 (text/plain, inline)]
I can reproduce this (thanks).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#560039. (Wed, 09 Dec 2009 02:06:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#560039; Package xterm. (Wed, 09 Dec 2009 10:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Dec 2009 10:54:06 GMT) Full text and rfc822 format available.

Message #18 received at 560039@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 560039@bugs.debian.org
Cc: 560039-submitter@bugs.debian.org
Subject: re: #560039 xterm: double-click on word spanning across several lines doesn't select the bottom part
Date: Wed, 09 Dec 2009 05:52:18 -0500
[Message part 1 (text/plain, inline)]
Looks like a problem with precedence (fix attached)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-252a.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Wed, 09 Dec 2009 10:54:08 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#560039. (Wed, 09 Dec 2009 10:54:10 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 29 Dec 2009 13:03:18 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Tue, 29 Dec 2009 13:03:19 GMT) Full text and rfc822 format available.

Message #28 received at 560039-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 560039-close@bugs.debian.org
Subject: Bug#560039: fixed in xterm 253-1
Date: Tue, 29 Dec 2009 12:47:54 +0000
Source: xterm
Source-Version: 253-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_253-1.diff.gz
  to main/x/xterm/xterm_253-1.diff.gz
xterm_253-1.dsc
  to main/x/xterm/xterm_253-1.dsc
xterm_253-1_amd64.deb
  to main/x/xterm/xterm_253-1_amd64.deb
xterm_253.orig.tar.gz
  to main/x/xterm/xterm_253.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560039@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 29 Dec 2009 12:31:52 +0000
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 253-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 560039
Changes: 
 xterm (253-1) unstable; urgency=low
 .
   * New upstream release
     + parenthesize expression in MoreRows macro, fixing a limit check added in
       patch #251 (closes: #560039)
   * Update debian/copyright.
   * Add dependency on ${misc:Depends} (lintian).
   * Refresh patches 900_debian_xterm.diff and 901_xterm_manpage.diff.
Checksums-Sha1: 
 0096853bef8bf85dbd8215820e5da0d067ac061f 1954 xterm_253-1.dsc
 4234376b43a0c60f2516df0c0abe26037671d50f 902751 xterm_253.orig.tar.gz
 1c075d170bc56c5b64510a21fc6e1f233dea91bc 73462 xterm_253-1.diff.gz
 5164b39f555e7bbf733e256294c1359d70bb3206 526058 xterm_253-1_amd64.deb
Checksums-Sha256: 
 2b20a21647018434830aa0cf35aa6c57a1e60b5db3902e6c7c6a636648aa942b 1954 xterm_253-1.dsc
 2f01dd9460d816b6c1cd67927a88831704a0ca08e086bb30c116b21f1e099f53 902751 xterm_253.orig.tar.gz
 0a4c29bc2486cd3a50ec8d93b7dc3c731524fe6a9b15ad154f9e7a4951c6322a 73462 xterm_253-1.diff.gz
 782aff75f50bb1d3dad1b18afcad8bd0e5a7aa207d0e645b3dd1ec87f007c260 526058 xterm_253-1_amd64.deb
Files: 
 33d8183b17599c773fbd541d3b999841 1954 x11 optional xterm_253-1.dsc
 363cc4865b7691bd0ae5eebb42cde9c9 902751 x11 optional xterm_253.orig.tar.gz
 0f78732aacb43086e242685baec0a670 73462 x11 optional xterm_253-1.diff.gz
 7cbb665b672d9e404846c4a8e4c10264 526058 x11 optional xterm_253-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLOfc9AAoJEDEBgAUJBeQM8sQQALXlmRWNHXCC+qbY0Vi/1taN
bf2UGenGOF5dkurakM/PB7zC/TpIa05ObPi9R8Wb6s/HtTQy1OEAR6/cvYpTmBG7
+2pCJ0ZvUW3kMtHvgMebScRcc4Y3r8rbapQ16+LTn/jmh5yZs6gtFO8hALI69dV5
i0NJEW243xJOxgmDgDr/rkdFGWl8VJ7N3HsQiy9GJ/g6MawKxwikLJpQJukDkDd6
Rr1ZQjC2WV8Uic6HeWgrzVTZuwy/I8KS4VJXjZowVTpx6snnqfRYu8cLL3UCPcsW
C9OWp6IiwtldRJ6zgkRJ3Sn0RfJgxQ5w17lchfvY0IR0xFofpw4YB6CibazUdFS/
cWK/3bE9psEtHxXz4nH2VApY61ktUycK7JFJ8fwz8lYTJeemW2nzYGchMQabNE2W
7BpRXf2amOHtFQSV2PbXPu++UKcG7aLW6CyC5AVznI06j5Twj57CjgcrHIA++0et
MJhXKBiGxjVNawo7IsQaV39ToJDa2HczFF0e5lMWioPl/IeR+3EXSLZcXHCcpQd7
yE9MGqz88CUA42r5BOIVgV9gjdglKWYtNJ5DGihbr3VfK5agQOORCWF7xueZSW/r
WPTaGlhW7NPjq5sMrlrTVentejyBOxBwTpO4ftO+vI1TauLiYVYB1pKdVpTRYvU2
wsq7iIuxj9AZJlZxU4cA
=eSA7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Feb 2010 07:30:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:46:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.